Page MenuHomePhabricator

Fix Chrome's "insecure origins" deprecation warning on Special:Nearby in the MobileFrontend extension
Closed, DeclinedPublic

Description

Use Google Chrome or the Chromium web browser. This requires being a little bit familiar with the developer tools of your web browser.

Visit http://en.m.wikipedia.beta.wmflabs.org/wiki/Special:Nearby

The developer console of the web browser reports:
getCurrentPosition() and watchPosition() are deprecated on insecure origins, and support will be removed in the future. You should consider switching your application to a secure origin, such as HTTPS.

See https://goo.gl/rStTGz for more details how to fix this.

Event Timeline

Jdlrobson created this task.Dec 8 2015, 7:34 PM
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 8 2015, 7:34 PM
Jdlrobson triaged this task as Low priority.Dec 9 2015, 5:53 PM
Aklapper renamed this task from Chrome deprecation warning to Fix Chrome's "insecure origins" deprecation warning on Special:Nearby in the MobileFrontend extension.Dec 10 2015, 2:03 PM
Aklapper set Security to None.
Jdlrobson closed this task as Declined.Dec 17 2015, 6:19 PM
Jdlrobson claimed this task.

On second thoughts given that nearby is configurable and production wikis are already running https the best thing to do here is probably nothing.

Sorry for the confusion.

This needs to be removed from the GCI website as this task is closed.

Sorry about that. I can't delete but I updated the task to be more obvious it can't be worked on. @Aklapper can you remove it from the system?